[viewBag]

[CartHelper]
debug = 0
category_filters = 0

[localePicker]
forceUrl = 1
==
{% set obCartPositionList = Cart.get() %}
	{% if obCartPositionList|length == 0 %}
		{#
		<div class="ps-cart__footer">
			<h4>{{'Il tuo carrello è vuoto'|_}}</h5>
		</div>
		#}
		<div class="ps-cart__footer">
			<a class="ps-btn minicart-btn" href="{{ activeLocale == 'it' ? '/it/carrello' : '/en/cart'}}">{{'Carrello'|_}}</a>
		</div>
		<div class="ps-cart__footer">
			<hr>
			<h4>Coupon</h4>
			{% if arCouponList[0] %}
				<div class="form-group">
					<label>Coupon: {{arCouponList[0].code}} <br>{{'Valore'|_}}: -{{arCouponList[0].coupon_group.mechanism.discount_value}}{{arCouponList[0].coupon_group.mechanism.discount_type == 'percent' ? '%'}}</label>
					<input id="coupon-mini" type="hidden" value="{{arCouponList[0].code}}">
					<button type="button" onclick="removeCouponMini()" class="ps-btn minicart-btn">{{'Rimuovi Coupon'|_}}</button>
				</div>
			{% else %}
				<div class="form-group">
					<input id="coupon-mini" name="coupon" class="form-control" type="text" placeholder="{{'Codice del buono'|_}}">
					<button type="button" onclick="addCouponMini()" class="ps-btn minicart-btn mg-l-0">{{'Applica Coupon'|_}}</button>
				</div>
				<p>({{"[messaggio-coupon]"|_}})</p>
			{% endif %}
		</div>
	{% else %}
		<div class="ps-cart__content">
			{% set obCartPositionList = Cart.get() %}
			{% for obCartPosition in obCartPositionList %}
				{% set obOffer = obCartPosition.offer %}
				{% set obProduct = obOffer.product %}
				<div class="ps-product--cart">
					<div class="ps-product__thumbnail">
						<a href="javascript:removeFromCart({{ obOffer.id }})">
							<img src="{{ obProduct.preview_image.getThumb(400, 400, {quality: 80}) }}" alt=""><span class="ps-btn--close ps-btn--no-boder"></span>
						</a>
					</div>
					<div class="ps-product__content">
						{% if obCartPosition.price == 0 %}
							<a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{obProduct.slug}}">{{ obProduct.name }}</a>
							<span>{{'personalizzazione'|_}}</span>
						{% else %}
							<a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{obProduct.slug}}">{{ obProduct.name }} {{ not (obCartPosition.customized_content|customized_content) ? ' - '~obOffer.name }}</a>
							{{obCartPosition.customized_content|customized_content(activeLocale) ?: '' }}
							{#
							<a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{obProduct.slug}}">{{ obProduct.name }} - {{ obCartPosition.customized_content and obCartPosition.customized_content != '#bespoke#' and (obCartPosition.customized_content|slice(0,1) != '{') ? obCartPosition.customized_content : obOffer.name }} {{obCartPosition.customized_content == '#bespoke#' ? '*' }}</a>
							<span>
								{{'Polsi'|_}}: {{ (obCartPosition.customized_content|customized_content)['polsi'] }}<br>
								{{'Dettagli bianchi'|_}}: {{ (obCartPosition.customized_content|customized_content)['dett-bianchi'] }}
							</span>
							#}
							<span>{{obCartPosition.quantity}} x {{ obCartPosition.currency }}{{ obCartPosition.price }}</span>
						{% endif %}
					</div>
				</div>
			{% endfor %}
		</div>
		<div class="ps-cart__footer">
			<h4>{{'Subtotale'|_}}: <span>{{ obCartPositionList.getTotalPrice() }} {{ obCartPositionList.getCurrency() }}</span></h4>
			<a class="ps-btn minicart-btn" href="{{ activeLocale == 'it' ? '/it/carrello' : '/en/cart'}}">{{'Carrello'|_}}</a>
			<a class="ps-btn minicart-btn" href="{{ activeLocale == 'it' ? '/it/checkout' : '/en/checkout'}}">{{'Cassa'|_}}</a>
		</div>
		<div class="ps-cart__footer">
			<hr>
			<h4>Coupon</h4>
			{% if arCouponList[0] %}
				<div class="form-group">
					<label>Coupon: {{arCouponList[0].code}} <br>{{'Valore'|_}}: -{{arCouponList[0].coupon_group.mechanism.discount_value}}{{arCouponList[0].coupon_group.mechanism.discount_type == 'percent' ? '%'}}</label>
					<input id="coupon-mini" type="hidden" value="{{arCouponList[0].code}}">
					<button type="button" onclick="removeCouponMini()" class="ps-btn minicart-btn">{{'Rimuovi Coupon'|_}}</button>
				</div>
			{% else %}
				<div class="form-group">
					<input id="coupon-mini" name="coupon" class="form-control" type="text" placeholder="{{'Codice del buono'|_}}">
					<button type="button" onclick="addCouponMini()" class="ps-btn minicart-btn mg-l-0">{{'Applica Coupon'|_}}</button>
				</div>
				<p>({{"[messaggio-coupon]"|_}})</p>
			{% endif %}
		</div>
	{% endif %}